Bug 86264 - layerX/layerY warning should be removed
: layerX/layerY warning should be removed
Status: RESOLVED FIXED
Product: WebKit
Classification: Unclassified
Component: HTML DOM
: 528+ (Nightly build)
: Unspecified Unspecified
: P2 Normal
Assigned To: Julien Chaffraix
:
Depends on:
Blocks: 21868 69951
  Show dependency treegraph
 
Reported: 2012-05-11 15:41 PDT by Ojan Vafai
Modified: 2012-05-16 13:50 PDT (History)
7 users (show)

See Also:


Attachments
Proposed warning removal. (13.87 KB, patch)
2012-05-16 10:56 PDT, Julien Chaffraix
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ojan Vafai 2012-05-11 15:41:24 PDT
This wasn't ever discussed on webkit-dev and there doesn't seem to be much agreement that this is worth the compatibility hit. Do we have histograms or anything about the usage of these in the wild?
Comment 1 Erik Arvidsson 2012-05-11 15:45:08 PDT
If I remember correctly, the WebKit implementation of layerX/layerY is broken as is.
Comment 2 Ojan Vafai 2012-05-11 16:20:28 PDT
Relevant webkit-dev discussion: https://lists.webkit.org/pipermail/webkit-dev/2012-May/020620.html. I don't actually care what we do here. I was more annoyed with the other console spew in that discussion.
Comment 3 Julien Chaffraix 2012-05-15 13:17:38 PDT
For the record, warnDeprecatedLayerXYUsage (the layerX / layerY warning) was at some point one of Chromium's top crashers due to Y! mail hitting a NULL console().

Following the talk on IRC last week, it looks like it may have been premature to deprecate it as people seem to be using it and we have no replacement. Also we haven't done a proper investigation before making the move.

I will be moving forward with removing the deprecation warning unless someone objects. We can still add it back once we are ready to follow the proper deprecation protocol.
Comment 4 James Robinson 2012-05-15 13:22:42 PDT
I think we should remove the warning regardless of whether we decide to deprecate, they don't seem to be helping (and we aren't collecting any data to tell us if they would be).
Comment 5 Simon Fraser (smfr) 2012-05-15 13:30:55 PDT
We should do a warnOnce() thing, where it only spews once per session.
Comment 6 Julien Chaffraix 2012-05-15 19:11:50 PDT
(In reply to comment #5)
> We should do a warnOnce() thing, where it only spews once per session.

I have one issue with that. Per our newly minted deprecation policy, we haven't done the proper investigation and we should show the example here. On top of that, maintaining layerX and layerY is virtually zero effort (nobody touched this code in years) and the compatibility breakage relatively high.

All those points make me think that we should just remove the warning for now and come back once we have a better idea of our current state.
Comment 7 James Robinson 2012-05-15 19:27:20 PDT
warnOnce() would be lying to developers once (instead of over and over).  The log message says that layerX/layerY will be removed soon, which isn't true.
Comment 8 Julien Chaffraix 2012-05-16 10:56:07 PDT
Created attachment 142300 [details]
Proposed warning removal.
Comment 9 James Robinson 2012-05-16 11:16:50 PDT
Comment on attachment 142300 [details]
Proposed warning removal.

R=me
Comment 10 WebKit Review Bot 2012-05-16 13:50:09 PDT
Comment on attachment 142300 [details]
Proposed warning removal.

Clearing flags on attachment: 142300

Committed r117335: <http://trac.webkit.org/changeset/117335>
Comment 11 WebKit Review Bot 2012-05-16 13:50:15 PDT
All reviewed patches have been landed.  Closing bug.